Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class WrapCipherSpi

    java.lang.Object
      javax.crypto.CipherSpi
          org.bouncycastle.jce.provider.WrapCipherSpi

All Implemented Interfaces:
  PBE

Direct Known Subclasses:
  JCEBlockCipher, JCEElGamalCipher, JCEIESCipher, JCERSACipher, JCEStreamCipher, WrapCipherSpi.AESWrap, WrapCipherSpi.DESEDEWrap, WrapCipherSpi.RC2Wrap

public abstract class WrapCipherSpi
extends javax.crypto.CipherSpi
implements PBE

Nested Class Summary
`static class` | `WrapCipherSpi.AESWrap`
`static class` | `WrapCipherSpi.DESEDEWrap`
`static class` | `WrapCipherSpi.RC2Wrap`

Nested classes inherited from class org.bouncycastle.jce.provider.PBE
`PBE.Util`

Field Summary
`protected java.security.AlgorithmParameters` | `engineParams`
`protected int` | `pbeHash`
`protected int` | `pbeIvSize`
`protected int` | `pbeKeySize`
`protected int` | `pbeType`
`protected Wrapper` | `wrapEngine`

Fields inherited from interface org.bouncycastle.jce.provider.PBE
`MD5, OPENSSL, PKCS12, PKCS5S1, PKCS5S2, RIPEMD160, SHA1, SHA256, TIGER`

Constructor Summary
`protected` | `WrapCipherSpi()`
`protected` | `WrapCipherSpi(Wrapper wrapEngine)`

Method Summary
`protected byte[]` | `engineDoFinal(byte[] input, int inputOffset, int inputLen)`
`protected int` | `engineDoFinal(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`
`protected int` | `engineGetBlockSize()`
`protected byte[]` | `engineGetIV()`
`protected int` | `engineGetKeySize(java.security.Key key)`
`protected int` | `engineGetOutputSize(int inputLen)`
`protected java.security.AlgorithmParameters` | `engineGetParameters()`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.AlgorithmParameters params, java.security.SecureRandom random)`
`protected void` | `engineInit(int opmode, java.security.Key key, java.security.SecureRandom random)`
`protected void` | `engineSetMode(java.lang.String mode)`
`protected void` | `engineSetPadding(java.lang.String padding)`
`protected java.security.Key` | `engineUnwrap(byte[] wrappedKey, java.lang.String wrappedKeyAlgorithm, int wrappedKeyType)`
`protected byte[]` | `engineUpdate(byte[] input, int inputOffset, int inputLen)`
`protected int` | `engineUpdate(byte[] input, int inputOffset, int inputLen, byte[] output, int outputOffset)`
`protected byte[]` | `engineWrap(java.security.Key key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pbeType

    protected int pbeType

### pbeHash

    protected int pbeHash

### pbeKeySize

    protected int pbeKeySize

### pbeIvSize

    protected int pbeIvSize

### engineParams

    protected java.security.AlgorithmParameters engineParams

### wrapEngine

    protected Wrapper wrapEngine

Constructor Detail

### WrapCipherSpi

    protected WrapCipherSpi()

### WrapCipherSpi

    protected WrapCipherSpi(Wrapper wrapEngine)

Method Detail

### engineGetBlockSize

    protected int engineGetBlockSize()

### engineGetIV

    protected byte[] engineGetIV()

### engineGetKeySize

    protected int engineGetKeySize(java.security.Key key)

### engineGetOutputSize

    protected int engineGetOutputSize(int inputLen)

### engineGetParameters

    protected java.security.AlgorithmParameters engineGetParameters()

### engineSetMode

    protected void engineSetMode(java.lang.String mode)
                          throws java.security.NoSuchAlgorithmException

  Throws:
    `java.security.NoSuchAlgorithmException`

### engineSetPadding

    protected void engineSetPadding(java.lang.String padding)
                             throws javax.crypto.NoSuchPaddingException

  Throws:
    `javax.crypto.NoSuchPaddingException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.spec.AlgorithmParameterSpec params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.AlgorithmParameters params,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException,
                              java.security.InvalidAlgorithmParameterException

  Throws:
    `java.security.InvalidKeyException`
    `java.security.InvalidAlgorithmParameterException`

### engineInit

    protected void engineInit(int opmode,
                              java.security.Key key,
                              java.security.SecureRandom random)
                       throws java.security.InvalidKeyException

  Throws:
    `java.security.InvalidKeyException`

### engineUpdate

    protected byte[] engineUpdate(byte[] input,
                                  int inputOffset,
                                  int inputLen)

### engineUpdate

    protected int engineUpdate(byte[] input,
                               int inputOffset,
                               int inputLen,
                               byte[] output,
                               int outputOffset)
                        throws javax.crypto.ShortBufferException

  Throws:
    `javax.crypto.ShortBufferException`

### engineDoFinal

    protected byte[] engineDoFinal(byte[] input,
                                   int inputOffset,
                                   int inputLen)
                            throws javax.crypto.IllegalBlockSizeException,
                                   javax.crypto.BadPaddingException

  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`

### engineDoFinal

    protected int engineDoFinal(byte[] input,
                                int inputOffset,
                                int inputLen,
                                byte[] output,
                                int outputOffset)
                         throws javax.crypto.IllegalBlockSizeException,
                                javax.crypto.BadPaddingException

  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`

### engineWrap

    protected byte[] engineWrap(java.security.Key key)
                         throws javax.crypto.IllegalBlockSizeException,
                                java.security.InvalidKeyException

  Throws:
    `javax.crypto.IllegalBlockSizeException`
    `java.security.InvalidKeyException`

### engineUnwrap

    protected java.security.Key engineUnwrap(byte[] wrappedKey,
                                             java.lang.String wrappedKeyAlgorithm,
                                             int wrappedKeyType)
                                      throws java.security.InvalidKeyException

  Throws:
    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.30
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD